# -*- rpm-spec -*-
Summary:        histogram
Name:           histogram
Version:        0.3.1
Release:        0
License:        BSD
Group:          Development/Tools
Source:         histogram-0.3.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  git
BuildRequires:  gcc-c++
BuildRequires:	cmake > 2.6
BuildRequires:	make
BuildRequires:  python-devel
BuildRequires:  journal

Requires: python
Requires: numpy
Requires: danse.ins

%description
histogram

%define prefix /opt/danse
%define rpmprefix $RPM_BUILD_ROOT%{prefix}
%define srcdirname %{name}-%{version}

%prep
%setup -q -n %{srcdirname}

%build
cd ..
rm -rf build_tree
mkdir build_tree
cd build_tree
cmake -DCMAKE_INSTALL_PREFIX=%{rpmprefix} -DDEPLOYMENT_PREFIX=%{prefix} ../%{srcdirname}
make

%install 
cd ../build_tree
make install

%clean
cd ..
rm -rf %{srcdirname}
rm -rf build_tree

%files
%defattr(-,root,root,-)
%{prefix}/include/histogram/*
%{prefix}/lib64/*
%{prefix}/bin/*
# %{prefix}/etc/*

%changelog
